Public MustInherit Class UsrFocusText
    Inherits System.Web.UI.UserControl

#Region " Web フォーム デザイナで生成されたコード "

    'この呼び出しは Web フォーム デザイナで必要です。
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        ' CODEGEN: このメソッド呼び出しは Web フォーム デザイナで必要です。
        ' コード エディタを使って変更しないでください。
        InitializeComponent()
    End Sub

#End Region

    Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' ページを初期化する ユーザー コードをここに挿入します。
    End Sub

    Private _onFocus As String = "this.style.backgroundColor = ""LightGreen"""
    Private _onBlur As String = "this.style.backgroundColor = ""white"""

    Public Property onFocus() As String
        Get
            Return _onFocus
        End Get
        Set(ByVal Value As String)
            _onFocus = Value
        End Set
    End Property
    Public Property onBlur() As String
        Get
            Return _onFocus
        End Get
        Set(ByVal Value As String)
            _onFocus = Value
        End Set
    End Property

    Protected Overrides Sub Render(ByVal writer As System.Web.UI.HtmlTextWriter)
        writer.AddAttribute("onFocus", _onFocus)
        writer.AddAttribute("onBlur", _onBlur)
        MyBase.Render(writer)
    End Sub
End Class
